:host {
    .marker-container {
        align-items: center;
        background-color: #D68933;
        display: flex;
        padding: 10px;
        height: 100%;

        .marker {
            background-color: #FFFFFF;
            border-radius: 20px;
            cursor: pointer;
            border: 6px solid #221D1F;
            min-width: 34px;
            width: 34px;
            height: 34px;

            &.disabled {
                cursor: default;
            }

            .marker-selected {
                background-color: #5E7480;
                border-radius: 12px;

                min-width: 12px;
                width: 12px;
                height: 12px;

                &.success {
                    background-color: #41A02D;
                }
                &.error {
                    background-color: #FC5454;
                }
            }
        }
    }
    .text-container {
        align-items: center;
        background-color: #ECC72D;
        color: #3E0009;
        display: flex;
        margin-right: 10px;
        padding: 10px;
        font-size: 1rem;
        height: 100%;
        width: 100%;       
    }
}